LogConfigurationException (Tomcat API Documentation)
Keywords: org.apache.juli.logging.LogConfigurationException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.juli.logging
Class LogConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.juli.logging.LogConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class LogConfigurationException

extends java.lang.RuntimeException

An exception that is thrown only if a suitable `LogFactory` or `Log` instance cannot be created by the corresponding factory methods.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `cause` The underlying cause of this exception.

Constructor Summary
`LogConfigurationException()` Construct a new exception with `null` as its detail message.
`LogConfigurationException(java.lang.String message)` Construct a new exception with the specified detail message.
`LogConfigurationException(java.lang.String message, java.lang.Throwable cause)` Construct a new exception with the specified detail message and cause.
`LogConfigurationException(java.lang.Throwable cause)` Construct a new exception with the specified cause and a derived detail message.

Method Summary
`java.lang.Throwable` | `getCause()` Return the underlying cause of this exception (if any).

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected java.lang.Throwable cause

  The underlying cause of this exception.

Constructor Detail

### LogConfigurationException

    public LogConfigurationException()

  Construct a new exception with `null` as its detail message.

### LogConfigurationException

    public LogConfigurationException(java.lang.String message)

  Construct a new exception with the specified detail message.

  Parameters:
    `message` - The detail message

### LogConfigurationException

    public LogConfigurationException(java.lang.Throwable cause)

  Construct a new exception with the specified cause and a derived detail message.

  Parameters:
    `cause` - The underlying cause

### LogConfigurationException

    public LogConfigurationException(java.lang.String message,
                                     java.lang.Throwable cause)

  Construct a new exception with the specified detail message and cause.

  Parameters:
    `message` - The detail message
    `cause` - The underlying cause

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Return the underlying cause of this exception (if any).

  Overrides:
    `getCause` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.